Customer API
- Authentication
- Account
- Lists
-
Subscribers
- List the contacts of a list
- Add a contact to a list
- Get a contact
- Change a contact
- Delete a contact
- Find a contact in every list
- Add tags to a contact
- Remove tags from a contact
- Subscribe a contact
- Unsubscribe a contact
- Unsubscribe an address from a list
- Import contacts, in the request
- Import contacts, in the background
- List the recent imports of a list
- Follow an import
- Cancel an import
- Sign a contact up, without a token
-
Campaigns
- List the campaigns
- Create a campaign
- Get a campaign
- Change a campaign
- Delete a campaign
- Send a campaign
- Pause a campaign
- Resume a paused campaign
- Download the delivery log of a campaign
- Download the opens of a campaign
- Download the clicks of a campaign
- Download the bounces of a campaign
- Download the complaints of a campaign
- Download the unsubscribes of a campaign
- List the webhooks of a campaign
- Add a webhook to a campaign
- Get a webhook of a campaign
- Change a webhook of a campaign
- Delete a webhook of a campaign
- Automations
- Bounces and complaints
Admin API
SEARCH RESULT
Navigation
Go
List the automations
GET
/api/v1/automations
The automations of the token's account, a page at a time.
Parameters
page
integer
query
Default:
1
per_page
integer
query
Automations per page.
Default:
10Responses
200
One page of automations.
401
The token is missing or wrong (
Unauthenticated.), or its user may not act on
this object (Unauthorized). Without the Accept: application/json header, a
missing or wrong token answers with a redirect to the sign-in page instead.
List the automations
1
2
3
curl 'https://your-domain/api/v1/automations' \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
Response
[
{
"uid": "6adaabd9f2abd",
"name": "Welcome journey",
"description": "Trigger when new subscriber opts in",
"subscribers": 1738,
"emails": 3,
"complete": 412,
"status": "active",
"last_error": null,
"last_updated": "3 weeks ago",
"created_at": "2026-10-23T00:35:37.000000Z",
"updated_at": "2026-10-23T11:19:46.000000Z"
}
]
{
"message": "Unauthenticated."
}